Show / Hide Table of Contents

# Struct Hotbar

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Hotbar

### Fields

| Improve this Doc View Source

#### AutoSheathDelayTimer

##### Declaration

    public float AutoSheathDelayTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TargetBattleCharaId

##### Declaration

    public uint TargetBattleCharaId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### WeaponUnsheathed

##### Declaration

    public byte WeaponUnsheathed

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### CancelCast()

##### Declaration

    [MemberFunction("48 83 EC 38 33 D2 C7 44 24 ?? ?? ?? ?? ?? 45 33 C9")]
    public void CancelCast()

| Improve this Doc View Source

#### IsActionUnlocked(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 88 45 80")]
    public bool IsActionUnlocked(uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Boolean |